QwtSplineBasis(3)

NAME
QwtSplineBasis - An approximation using a basis spline.

SYNOPSIS

#include <qwt_spline_basis.h>

Inherits QwtSpline.

  Public Member Functions
QwtSplineBasis ()
Constructor.
virtual ~QwtSplineBasis ()
Destructor.
virtual QPainterPath painterPath (const QPolygonF &) const override
virtual uint locality () const override
The locality is always 2.

  Additional Inherited Members

Detailed Description

An approximation using a basis spline. QwtSplineBasis approximates a set of points by a polynomials with C2 continuity ( = first and second derivatives are equal ) at the end points.

The end points of the spline do not match the original points.

Definition at line 24 of file qwt_spline_basis.h.

Member Function Documentation

  QPainterPath QwtSplineBasis::painterPath (const QPolygonF & points) const [override], [virtual]
Approximates a polygon piecewise with cubic Bezier curves and returns them as QPainterPath.

Parameters
    points Control points

Returns
    Painter path, that can be rendered by QPainter

Implements QwtSpline.

Definition at line 249 of file qwt_spline_basis.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.